'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

var useNetworkStatus = function useNetworkStatus() {
  var _useState = react.useState(function () {
    return typeof navigator !== 'undefined' && typeof navigator.onLine === 'boolean' ? navigator.onLine : true;
  }),
      isOnline = _useState[0],
      setIsOnline = _useState[1];

  react.useEffect(function () {
    function setOnline() {
      setIsOnline(true);
    }

    function setOffline() {
      setIsOnline(false);
    }

    window.addEventListener('online', setOnline);
    window.addEventListener('offline', setOffline);
    return function () {
      window.removeEventListener('online', setOnline);
      window.removeEventListener('offline', setOffline);
    };
  }, []);
  return isOnline;
};

exports.useNetworkStatus = useNetworkStatus;
//# sourceMappingURL=use-network-status.cjs.development.js.map
