import { useState, useEffect } from 'react';

var useNetworkStatus = function useNetworkStatus() {
  var _useState = useState(function () {
    return typeof navigator !== 'undefined' && typeof navigator.onLine === 'boolean' ? navigator.onLine : true;
  }),
      isOnline = _useState[0],
      setIsOnline = _useState[1];

  useEffect(function () {
    function setOnline() {
      setIsOnline(true);
    }

    function setOffline() {
      setIsOnline(false);
    }

    window.addEventListener('online', setOnline);
    window.addEventListener('offline', setOffline);
    return function () {
      window.removeEventListener('online', setOnline);
      window.removeEventListener('offline', setOffline);
    };
  }, []);
  return isOnline;
};

export { useNetworkStatus };
//# sourceMappingURL=use-network-status.esm.js.map
